List cell measurements for a cell instance
curl --request GET \
--url https://api.ionworks.com/cell_instances/{cell_instance_id}/cell_measurementsimport requests
url = "https://api.ionworks.com/cell_instances/{cell_instance_id}/cell_measurements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/cell_instances/{cell_instance_id}/cell_measurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cell Instances
List cell measurements for a cell instance
List cell measurements for an instance with pagination and filtering.
Filter parameters support Supabase filter operators:
- Text fields (name, created_by_email): Use
ilike.%value%for partial match - Date fields: Use
gte.value,lte.value, etc. - Date range: Use created_at_gt and created_at_lt for between queries
List cell measurements for a cell instance
Path Parameters
Query Parameters
Filter by measurement type Shape of the data stored in a cell measurement.
time_series— cycling / diagnostic data uploaded as columnar time series (and optional step summaries). Default for new measurements.file— an opaque file upload (raw cycler export, image, other binary). Metadata about the file is captured infile_metadata; the file content lives in object storage.properties— a flat key/value set of measured properties (thickness, mass, DCIR, initial capacity, …) with no time-series data. Numeric values use the Quantity format.
Available options:
time_series, file, properties Required range:
1 <= x <= 1000Required range:
x >= 0Free-text search on measurement name and search_vector.
Available options:
name, created_at, updated_at, start_time Available options:
asc, desc Response
Successful Response
Was this page helpful?